Subject: bug#15265: Emacsclient (Win32) has no "ignore parameter" parameter

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 15 Jul 2021 07:54:51 +0200

[email-masked] (Jens K. Loewe) writes:

> I would like to replace notepad.exe calls on Windows with emacsclientw
> calls. A common workaround for that is to use the "Debugger" registry
> entry [1] which sends all calls to notepad.exe to a "debugger" process -
> usually another text editor.
>
> This, however, also sends a "notepad.exe" parameter to the given client,
> so if I define the notepad.exe debugger as "emacsclientw -na
> runemacs.exe", it opens notepad.exe (as text) in Emacs.
>
> GVim, for example, just ignores that parameter, other text editors like
> Notepad2 and AkelPad use a "/z" parameter, meaning "ignore the next
> parameter", for that. In emacsclientw, my chosen workaround is to add
> the "-F" parameter. [2] This is a dirty solution but it somehow works.
>
> So my feature request is: Add a parameter to emacsclientw which means
> "ignore the following parameter". :-)

(I'm going through old bug reports that unfortunately got little response at
the time.)

I think that this sounds like too specialised behaviour to warrant
adding a new parameter to emacsclient.  It should be trivial to write a
wrapper script that does exactly what you want here (i.e., just call
emacsclient without the first parameter).

So I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no